Webhook Uç Noktalarını Listele
GET
/v1/stores/{storeId}/webhooksCoreBir mağaza için yapılandırılmış webhook uç noktalarını listeler.
Kimlik Doğrulama
İmza Deseni
Dashboard JWT bearer (not the HMAC public API).| Başlık | Değer | Açıklama |
|---|---|---|
Authorization | Bearer {jwt} | Merchant dashboard JWT (from /v1/auth/login) |
Content-Type | application/json | Request content type |
Yanıt Parametreleri
| Alan | Tür | Örnek |
|---|---|---|
items | array | […] |
items[].id | string | "whe_9a2e6b4d4e8a" |
items[].url | string | "https://merchant.example.com/kvell/webhook" |
items[].eventTypes | array | ["payment.captured","payment.refunded"] |
items[].active | boolean | true |
items[].status | string | "active" |
items[].createdAt | string | "2026-04-13T10:00:00Z" |
Yanıt Örneği
JSONYanıt
{
"items": [
{
"id": "whe_9a2e6b4d4e8a",
"url": "https://merchant.example.com/kvell/webhook",
"eventTypes": [
"payment.captured",
"payment.refunded"
],
"active": true,
"status": "active",
"createdAt": "2026-04-13T10:00:00Z"
}
]
}Durum Kodları
200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
DeneSahte
GEThttps://api.pay.sandbox.kvell.group